> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/salesforce/forms/date-picker-field.md).

# Date picker

Enhance user experience with WebViewer's interactive date picker widget for easy date input on form fields. Learn how to fill date fields programmatically and customize datepicker internationalization

For form fields that expect a date to be input, WebViewer provides an interactive date picker widget to select a date from a calendar. Users can still type the date like before, but the date field can now also be populated by using the calendar.

The calendar will automatically set the correct date format for the field so the user doesn't need to worry about entering the date in a specific format.

![](https://306473577-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FfmJo9lQOEYOFBgOyFp26%2Fuploads%2Fgit-blob-07ff27f095f646d11cf3b16fb70df123bde03b40%2F5225f1341cd9a1b63d72469b70147feccff84dfd-650x514.gif?alt=media)

### Filling date field programmatically

Just like other PDF form fields, the date field can also be filled programmatically using the [fieldManager](https://sdk.apryse.com/api/web/Core.AnnotationManager.html#getFieldManager__anchor) or using the [Annotations.DatePickerWidgetAnnotation](https://sdk.apryse.com/api/web/Core.Annotations.DatePickerWidgetAnnotation.html) instance

Here is an example of filling date field programmatically:

{% tabs %}
{% tab title="JavaScript (SDK v8.0+)" %}
{% code lineNumbers="true" %}

```js
// config.js
const { annotationManager, documentViewer } = instance.Core;
documentViewer.addEventListener('annotationsLoaded', () => {
  // replace with id of date field in your document
  const dateFieldId = 'DatePicker_1';
  const field = annotationManager.getFieldManager().getField(dateFieldId);
  field.setValue('6/15/20');

  const widget = field.widgets[0];
  widget.getDatePicker().show(); // open date picker widget
  widget.getDatePicker().setDate('6/17/20');


  field.setValue('6/7/20');
  widget.refreshDatePicker(); // refresh widget
});
```

{% endcode %}

[AnnotationManager.getFieldManager](https://sdk.apryse.com/api/web/Core.AnnotationManager.html#getFieldManager__anchor) [FieldManager.getField](https://sdk.apryse.com/api/web/Core.Annotations.Forms.FieldManager.html#getField__anchor) [Annotations.WidgetFlags](https://sdk.apryse.com/api/web/Core.Annotations.WidgetFlags.html) [Annotations.DatePickerWidgetAnnotation.getDatePicker](https://sdk.apryse.com/api/web/Core.Annotations.DatePickerWidgetAnnotation.html#getDatePicker__anchor)
{% endtab %}

{% tab title="JavaScript (SDK v7.0+)" %}
{% code lineNumbers="true" %}

```js
// config.js
const { annotManager, docViewer } = instance;
docViewer.on('annotationsLoaded', () => {
  // replace with id of date field in your document
  const dateFieldId = 'DatePicker_1';
  const field = annotManager.getFieldManager().getField(dateFieldId);
  field.setValue('6/15/20');

  const widget = field.widgets[0];
  widget.getDatePicker().show(); // open date picker widget
  widget.getDatePicker().setDate('6/17/20');


  field.setValue('6/7/20');
  widget.refreshDatePicker(); // refresh widget
});
```

{% endcode %}

[AnnotationManager.getFieldManager](https://sdk.apryse.com/api/web/Core.AnnotationManager.html#getFieldManager__anchor) [FieldManager.getField](https://sdk.apryse.com/api/web/Core.Annotations.Forms.FieldManager.html#getField__anchor) [Annotations.WidgetFlags](https://sdk.apryse.com/api/web/Core.Annotations.WidgetFlags.html) [Annotations.DatePickerWidgetAnnotation.getDatePicker](https://sdk.apryse.com/api/web/Core.Annotations.DatePickerWidgetAnnotation.html#getDatePicker__anchor)
{% endtab %}
{% endtabs %}

### Datepicker Internationalization

The default i18n configuration format looks like this:

{% tabs %}
{% tab title="JavaScript (SDK v8.0+)" %}
{% code lineNumbers="true" %}

```js
// config.js
const { Annotations } = instance.Core;
const { DatePickerWidgetAnnotation } = Annotations;

DatePickerWidgetAnnotation.datePickerOptions.i18n = {
  previousMonth : 'Previous Month',
  nextMonth     : 'Next Month',
  months        : ['January','February','March','April','May','June','July',
    'August','September','October','November','December'],
  weekdays      : ['Sunday','Monday','Tuesday','Wednesday','Thursday','Friday',
    'Saturday'],
  weekdaysShort : ['Sun','Mon','Tue','Wed','Thu','Fri','Sat']
}

DatePickerWidgetAnnotation.datePickerOptions.firstDay = 0;
DatePickerWidgetAnnotation.datePickerOptions.isRTL = false;
```

{% endcode %}
{% endtab %}

{% tab title="JavaScript (SDK v7.0+)" %}
{% code lineNumbers="true" %}

```js
// config.js
const { Annotations } = instance;
const { DatePickerWidgetAnnotation } = Annotations;

DatePickerWidgetAnnotation.datePickerOptions.i18n = {
  previousMonth : 'Previous Month',
  nextMonth     : 'Next Month',
  months        : ['January','February','March','April','May','June','July',
    'August','September','October','November','December'],
  weekdays      : ['Sunday','Monday','Tuesday','Wednesday','Thursday','Friday',
    'Saturday'],
  weekdaysShort : ['Sun','Mon','Tue','Wed','Thu','Fri','Sat']
}

DatePickerWidgetAnnotation.datePickerOptions.firstDay = 0;
DatePickerWidgetAnnotation.datePickerOptions.isRTL = false;
```

{% endcode %}
{% endtab %}
{% endtabs %}

You must provide 12 months and 7 weekdays (with abbreviations). Always specify weekdays in this order with Sunday first. You can change the firstDay option to reorder if necessary (0: Sunday, 1: Monday, etc). You can also set isRTL to true for languages that are read right-to-left.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/salesforce/forms/date-picker-field.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
